Name: mplayer-svn
Version: 38116
Release: alt1

Summary: Media player
License: GPLv2+
Group: Video

URL: http://www.mplayerhq.hu
Packager: RnD Center ELVEES <rnd_elvees@altlinux.org>

Source0: %name-%version.tar
Source1: mplayer.desktop
Source2: mplayer.conf

%description
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3DNow! etc.
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic VCD/DVD
playback functionality, including DVD subtitles, but supports many text-based
subtitle formats too.
For video and audio output, nearly every existing interface is supported
including some low-level card-specific drivers (for Matrox, Nvidia, 3Dfx and
Radeon, Mach64, Permedia3), hardware AC3 decoding and few hardware MPEG decoding
boards such as DVB and DXR3/Hollywood+.
It also supports video grabbing from V4L devices.

BuildRequires(pre): libXv-devel libXvMC-devel zlib-devel
BuildRequires(pre): libavcodec-devel libavdevice-devel libavformat-devel
BuildRequires(pre): libavfilter-devel libswscale-devel libavresample-devel libavutil-devel
BuildRequires(pre): libX11-devel libXext-devel ffmpeg

Provides: mplayer-svn = %version-%release
Obsoletes: mplayer
Conflicts: mplayer

%prep
%setup

%build
./configure \
	--prefix=%_prefix \
	--bindir=%_bindir \
	--mandir=%_mandir \
	--libdir=%_libdir \
	--datadir=%_datadir/mplayer \
	--confdir=%_sysconfdir/mplayer \
	--disable-gui \
	--disable-arts \
	--disable-liblzo \
	--disable-speex \
	--disable-openal \
	--disable-libdv \
	--disable-musepack \
	--disable-esd \
	--disable-mga \
	--disable-ass-internal \
	--disable-cdparanoia \
	--disable-ffmpeg_a \
	--enable-ffmpeg_so \
	--enable-xvmc \
	--disable-smb \
	--language=all \
	--disable-mencoder \
	--enable-neon \
	--disable-armv6 \
	--disable-armv5te \
	--disable-armv6t2 \
	--disable-armvfp \
	--extra-cflags="-O3 -march=armv7-a -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon" \
	--extra-ldflags="-lavcodec -lswresample -lavresample -lavutil -lswscale -lavformat"

%make_build

%install
%makeinstall_std
install -pD -m 0644 %SOURCE1 %buildroot/%_desktopdir/mplayer.desktop
install -pD -m 0644 %SOURCE2 %buildroot/%_sysconfdir/mplayer/mplayer.conf

%files
%_bindir/mplayer
%_man1dir/mplayer.*
%_desktopdir/mplayer.desktop
/%_sysconfdir/mplayer/mplayer.conf

%changelog
* Wed Oct 10 2018 RnD Center ELVEES <rnd_elvees@altlinux.org> 38116-alt1
Initial build for ALT